libxml2の脆弱性情報(CVE-2018-14404)




07/24/2018にlibxml2の脆弱性情報(CVE-2018-14404)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


 

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

07/16/2018にlibxml2の脆弱性情報(CVE-2018-14404)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14404
    • アプリケーションのクラッシュやDoSの可能性

    • 重要度 - Moderate

    • 2.9.8以前のlibxml2では、xpath.cのxmlXPathCompOpEval()関数に問題が有り、不正なXPath式(XPATH_OP_AND や XPATH_OP_OR)をパースした際にNULLポインタ被参照の脆弱性が存在します。信頼できないXSLフォーマット入力をlibxml2ライブラリを用いて処理するアプリケーションは、アプリケーションのクラッシュのため、DoS攻撃の脆弱性を持つことになります。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteやKatello、Spacewalk等を使うと管理が便利でしょう。

[参考]

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14404

セキュリティ系連載案内


セミナー情報 1

2018年10月22日から10月25日のCSS(Computer Security Symposium)2018で、「OSSセキュリティ技術ワークショップ(OWS) 2018特別セッション」 と題しまして、OSSセキュリティ技術の会後援で特別セッションを開催します。

https://www.iwsec.org/ows/2018/index.htmlにプログラム内容と一般論文申し込みの詳細を載せていきますので、是非御確認下さい(ページは更新中です)。

セミナー情報 2

2018年8月6日に「OSSセキュリティ技術の会 座談会(第一回)」を開催します。OSSセキュリティ技術の会では、講演形式の勉強会シリーズを行っていますが、今回は新たな試みとして座談会形式の会合を行います。

https://secureoss-sig.connpass.com/event/92782/にプログラム内容と申し込みの詳細を載せていますので、是非御参加下さい。

前へ

Tomcat 7.x/8.x/9.xの脆弱性 ( CVE-2018-1336, CVE-2018-8034, CVE-2018-8037 )

次へ

FUSEの脆弱性(CVE-2018-10906)